.side-nav-backdrop {
  @apply w-full h-full overflow-hidden bg-black fixed z-10 top-0 opacity-50 right-auto bottom-0 left-auto;
}

aside {
  @apply transition duration-300 ease-in-out px-3 invisible;
  @apply h-full w-2/3 right-0 top-0 absolute z-20 bg-white text-black overflow-y-scroll;
}

.show-menu {
  @apply visible;
  animation-duration: 0.3s;
  animation-fill-mode: forwards;

  &[dir="ltr"] {
    animation-name: showMenu;
  }

  &[dir="rtl"] {
    animation-name: showMenuRtl;
  }
}

.hide-menu {
  animation-duration: 0.3s;
  animation-fill-mode: forwards;

  &[dir="ltr"] {
    animation-name: hideMenu;
  }

  &[dir="rtl"] {
    animation-name: hideMenuRtl;
  }
}

@keyframes showMenuRtl {
  0% {
    display: block;
    opacity: 0;
  }
  100% {
    opacity: 1;
    transform: translateX(-50%);
  }
}

@keyframes showMenu {
  0% {
    display: block;
    opacity: 0;
  }
  100% {
    opacity: 1;
    transform: translateX(0%);
  }
}

@keyframes hideMenu {
  0% {
    opacity: 1;
  }
  99% {
    opacity: 0;
    transform: translateX(100%);
  }
  100% {
    opacity: 0;
    display:none;
    position: fixed;
    z-index: -5;
  }
}

@keyframes hideMenuRtl {
  0% {
    opacity: 1;
  }
  99% {
    opacity: 0;
    transform: translateX(-100%);
  }
  100% {
    opacity: 0;
    display:none;
    position: fixed;
    z-index: -5;
  }
}


.fade-in {
  animation-name: fadeIn;
  animation-duration: 0.3s;
  animation-fill-mode: forwards;
}

.fade-out {
  animation-name: fadeOut;
  animation-duration: 0.3s;
  animation-fill-mode: forwards;
}

@keyframes fadeIn {
  0% {
    display: block;
    opacity: 0;
  }
  100% {
    opacity: .5;
    transform: translateX(0);
  }
}

@keyframes fadeOut {
  0% {
    opacity: .5;
  }
  99% {
    opacity: 0;
  }
  100% {
    opacity: 0;
    display:none;
    position: fixed;
    z-index: -5;
  }
}

.side-nav-buttons {
  li {
    @apply text-black transition duration-300 ease-in-out my-2;

    h1 {
      @apply text-left font-semibold text-3xl;
    }
    a:not(.cta-primary-btn) {
      @apply text-lg;

      &[active=true] {
        @apply text-bgTwo;
      }
    }
  }
}
